Lorene::Grille3d Class Reference
Spectral representation.

3D grid class in one domain. More...

`#include <grilles.h>`

## Public Member Functions

| Grille3d (int n_r, int n_t, int n_p, int typer, int typet, int typep, int baser)
| Constructor.
| Grille3d (const Grille3d &)
| Copy constructor.
void | operator= (const Grille3d &)
| Assignement operator.
virtual | ~Grille3d ()
| Destructor.
int | get_nr () const
| Returns `nr`.
int | get_nt () const
| Returns `nt`.
int | get_np () const
| Returns `np`.
int | get_type_r () const
| Returns `type_r`.
int | get_type_t () const
| Returns `type_t`.
int | get_type_p () const
| Returns `type_p`.
int | get_base_r () const
| Returns `base_r`.

## Public Attributes

double * | x
| Array of values of at the `nr` collocation points.
double * | tet
| Array of values of at the `nt` collocation points.
double * | phi
| Array of values of at the `np` collocation points.

## Protected Member Functions

void | compute_radial_grid ()
| Computes the collocation point coordinates in the radial direction.

## Protected Attributes

const int | nr
| Number of points in r ( ).
const int | nt
| Number of points in .
const int | np
| Number of points in .
int | type_r
| Type of sampling in r ( ) (`RARE`,`FIN`,`UNSURR` ).
int | type_t
| Type of sampling in (`SYM`,`NONSYM`).
int | type_p
| Type of sampling in (`SYM`,`NONSYM`).
int | base_r
| Type of radial spectral basis (`BASE_CHEB`, `BASE_LEG`, BASE_JAC02 ).

## Detailed Description

3D grid class in one domain.

()

Basic 3D spherical grid class in spherical coordinates . The radial coordinate lies in the range [0, 1] or [-1, 1] depending upon the sampling (`RARE` or `FIN` ). Its relation with the physical radial coordinate r is defined by the mapping (cf. class `Map`) and is described in Bonazzola, Gourgoulhon & Marck, Phys. Rev. D 58, 104020 (1998). Note: this monogrid should not be used. Use instead `Mg3d`.

Version
  #$Id: grilles.h,v 1.23 2014/10/13 08:52:35 j_novak Exp $#

Definition at line 194 of file grilles.h.

## Constructor & Destructor Documentation

## Grille3d() [1/2]

Lorene::Grille3d::Grille3d | ( | int | n_r,
|  | int | n_t,
|  | int | n_p,
|  | int | typer,
|  | int | typet,
|  | int | typep,
|  | int | baser )

Constructor.

Definition at line 122 of file grille3d.C.

References base_r, compute_radial_grid(), np, nr, nt, phi, tet, type_p, type_r, type_t, and x.

## Grille3d() [2/2]

Lorene::Grille3d::Grille3d | ( | const Grille3d & |  | ) |

Copy constructor.

References Grille3d().

## ~Grille3d()

Lorene::Grille3d::~Grille3d | ( |  | ) |

virtual

Destructor.

Definition at line 166 of file grille3d.C.

References phi, tet, and x.

## Member Function Documentation

## compute_radial_grid()

void Lorene::Grille3d::compute_radial_grid | ( |  | ) |

protected

Computes the collocation point coordinates in the radial direction.

Definition at line 172 of file grille3d.C.

References base_r, Lorene::cos(), nr, Lorene::Tbl::set_etat_qcq(), Lorene::sin(), Lorene::Tbl::t, type_r, and x.

## get_base_r()

int Lorene::Grille3d::get_base_r | ( |  | ) | const

inline

Returns `base_r`.

Definition at line 243 of file grilles.h.

References base_r.

## get_np()

int Lorene::Grille3d::get_np | ( |  | ) | const

inline

Returns `np`.

Definition at line 234 of file grilles.h.

References np.

## get_nr()

int Lorene::Grille3d::get_nr | ( |  | ) | const

inline

Returns `nr`.

Definition at line 230 of file grilles.h.

References nr.

## get_nt()

int Lorene::Grille3d::get_nt | ( |  | ) | const

inline

Returns `nt`.

Definition at line 232 of file grilles.h.

References nt.

## get_type_p()

int Lorene::Grille3d::get_type_p | ( |  | ) | const

inline

Returns `type_p`.

Definition at line 241 of file grilles.h.

References type_p.

## get_type_r()

int Lorene::Grille3d::get_type_r | ( |  | ) | const

inline

Returns `type_r`.

Definition at line 237 of file grilles.h.

References type_r.

## get_type_t()

int Lorene::Grille3d::get_type_t | ( |  | ) | const

inline

Returns `type_t`.

Definition at line 239 of file grilles.h.

References type_t.

## operator=()

void Lorene::Grille3d::operator= | ( | const Grille3d & |  | ) |

Assignement operator.

References Grille3d().

## Member Data Documentation

## base_r

int Lorene::Grille3d::base_r

protected

Type of radial spectral basis (`BASE_CHEB`, `BASE_LEG`, BASE_JAC02 ).

Definition at line 205 of file grilles.h.

## np

const int Lorene::Grille3d::np

protected

Number of points in .

Definition at line 198 of file grilles.h.

## nr

const int Lorene::Grille3d::nr

protected

Number of points in r ( ).

Definition at line 196 of file grilles.h.

## nt

const int Lorene::Grille3d::nt

protected

Number of points in .

Definition at line 197 of file grilles.h.

## phi

double* Lorene::Grille3d::phi

Array of values of at the `np` collocation points.

Definition at line 213 of file grilles.h.

## tet

double* Lorene::Grille3d::tet

Array of values of at the `nt` collocation points.

Definition at line 211 of file grilles.h.

## type_p

int Lorene::Grille3d::type_p

protected

Type of sampling in (`SYM`,`NONSYM`).

Definition at line 203 of file grilles.h.

## type_r

int Lorene::Grille3d::type_r

protected

Type of sampling in r ( ) (`RARE`,`FIN`,`UNSURR` ).

Definition at line 201 of file grilles.h.

## type_t

int Lorene::Grille3d::type_t

protected

Type of sampling in (`SYM`,`NONSYM`).

Definition at line 202 of file grilles.h.

## x

double* Lorene::Grille3d::x

Array of values of at the `nr` collocation points.

Definition at line 209 of file grilles.h.

The documentation for this class was generated from the following files:

- grilles.h
- grille3d.C